import { EventEmitter } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { MatAutocompleteSelectedEvent } from '@angular/material/autocomplete';
import { MatChipInputEvent } from '@angular/material/chips';
import * as i0 from "@angular/core";
export declare class NgmCopilotInputComponent {
    #private;
    get suggests(): string[];
    set suggests(value: string[]);
    ask: EventEmitter<{
        command?: string;
        prompt: string;
    }>;
    answering: import("@angular/core").WritableSignal<boolean>;
    suggesting: import("@angular/core").WritableSignal<boolean>;
    error: string;
    promptControl: FormControl<string>;
    formGroup: FormGroup<{
        prompt: FormControl<string>;
    }>;
    readonly search: import("@angular/core").Signal<string>;
    readonly filteredSuggests: import("@angular/core").Signal<string[]>;
    /**
     * Add an ask prompt
     *
     * @param event
     */
    add(event: MatChipInputEvent): Promise<void>;
    selected(event: MatAutocompleteSelectedEvent): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmCopilotInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmCopilotInputComponent, "ngm-copilot-input", never, { "suggests": { "alias": "suggests"; "required": false; }; }, { "ask": "ask"; }, never, never, true, never>;
}
